function par = mFileFunctionStruct()
% this database function generates all data in a struct

% my case name
par.name = 'functionStruct';

% some dummy data
par.data = 23;
par.senseOfLife = 42;
par.answer = evalc('why');